Class GroupByPathRequestBuilder
- Namespace
- Keycloak.AuthServices.Sdk.Kiota.Admin.Admin.Realms.Item.GroupByPath
- Assembly
- Keycloak.AuthServices.Sdk.Kiota.dll
Builds and executes requests for operations under \admin\realms{realm}\group-by-path
public class GroupByPathRequestBuilder : BaseRequestBuilder
- Inheritance
-
BaseRequestBuilderGroupByPathRequestBuilder
- Inherited Members
-
BaseRequestBuilder.PathParametersBaseRequestBuilder.RequestAdapterBaseRequestBuilder.UrlTemplate
Constructors
GroupByPathRequestBuilder(Dictionary<string, object>, IRequestAdapter)
Instantiates a new GroupByPathRequestBuilder and sets the default values.
public GroupByPathRequestBuilder(Dictionary<string, object> pathParameters, IRequestAdapter requestAdapter)
Parameters
pathParametersDictionary<string, object>Path parameters for the request
requestAdapterIRequestAdapterThe request adapter to use to execute the requests.
GroupByPathRequestBuilder(string, IRequestAdapter)
Instantiates a new GroupByPathRequestBuilder and sets the default values.
public GroupByPathRequestBuilder(string rawUrl, IRequestAdapter requestAdapter)
Parameters
rawUrlstringThe raw URL to use for the request builder.
requestAdapterIRequestAdapterThe request adapter to use to execute the requests.
Properties
this[string]
Gets an item from the Keycloak.AuthServices.Sdk.Kiota.Admin.admin.realms.item.groupByPath.item collection
public WithPathItemRequestBuilder this[string position] { get; }
Parameters
positionstringUnique identifier of the item